import numpy as np
import zarr
import sys, os

ds = zarr.open("/data/jcintineo/AI/OCONUS/pltgALL.zarr", "a")

newds = zarr.open("/apollo/grain/jcintineo/AI/OCONUS/pltg_8dates.zarr", "r")

chunksize = 300

fieldnames = [
    "lat",
    "lon",
    "ABI_date",
    "ABI_time",
    "CH02",
    "CH05",
    "CH06",
    "CH13",
    "FED",
    "maxFED_t0",
    "maxFED_t5",
    "maxFED_t10",
    "maxFED_t15",
    "maxFED_t20",
    "maxFED_t25",
    "maxFED_t30",
    "ltg5to30",
    "SST",
    "mlcape",
    "u925",
    "v925",
    "u850",
    "v850",
    "u700",
    "v700",
    "u500",
    "v500",
    "SST_arr",
    "mlcape_arr",
    "u925_arr",
    "v925_arr",
    "u850_arr",
    "v850_arr",
    "u700_arr",
    "v700_arr",
    "u500_arr",
    "v500_arr",
    "ABIx",
    "ABIy",
    "ABIx10",
    "ABIy10",
    "ABIx05",
    "ABIy05",
    "solzen",
]


# fieldnames = ['CH02']

for var in fieldnames:  # ds.keys():
    print(var)

    # append CH02 in piecemeal
    if var == "CH02":
        npieces = 10
        p_int = newds[var].shape[0] // npieces
        remainder = newds[var].shape[0] % npieces
        chunks = (chunksize, newds[var].shape[1], newds[var].shape[2], 1)

        print(newds[var].shape)
        for ii in range(npieces):
            if ii == npieces - 1:
                newarr = zarr.zeros(
                    (p_int + remainder, 128, 128, 1),
                    chunks=chunks,
                    dtype=newds[var].dtype,
                )
                newarr[:] = newds[var][p_int * (npieces - 1) :]
                # print(p_int*(npieces-1))
            else:
                newarr = zarr.zeros(
                    (p_int, 128, 128, 1), chunks=chunks, dtype=newds[var].dtype
                )
                newarr[:] = newds[var][ii * p_int : (ii + 1) * p_int]
                # print(ii*p_int,(ii+1)*p_int)

            # print(newarr.shape)
            ds[var].append(newarr, axis=0)
        # sys.exit()

    else:
        # set chunksizes
        if len(newds[var].shape) == 1:
            chunks = (chunksize,)
        else:
            chunks = (chunksize, newds[var].shape[1], newds[var].shape[2], 1)

        # instantiate new data
        newarr = zarr.zeros(newds[var].shape, chunks=chunks, dtype=newds[var].dtype)

        # fill data
        newarr[:] = newds[var][:]
        ds[var].append(newarr, axis=0)
