import zarr
import xarray as xr
from datetime import datetime, timedelta, timezone
import numpy as np

dataset = "/data/jcintineo/AI/OCONUS/OCONUS.zarr"

ds = zarr.open(dataset, mode="a")

# open new data and chunk
ds_to_append = "/data/jcintineo/AI/OCONUS/20180726.nc"
new_ds = xr.open_dataset(ds_to_append).chunk({"t": 300})
# fix data
new_ds.FED.values[new_ds.FED.values > 10000] = 0

# get new timestamps
# dts = np.array([datetime.fromtimestamp(ts, tz=timezone.utc) for ts in new_ds.timestamp.values],dtype=object)

# append new data. 'item' is an array...usu. a variable
for item in ds.keys():
    print(item)
    ds[item].append(new_ds[item], axis=0)

    # add metadata
    # if(item == 'CH13'):
    #  ds[item].attrs['mean'] = 275.93735
    #  ds[item].attrs['std'] = 20.179611
    # if(item == 'CH05'):
    #  ds[item].attrs['mean'] = 0.0476758
    #  ds[item].attrs['std'] = 0.08448
    # if(item == 'CH02'):
    #  ds[item].attrs['mean'] = 0.1065
    #  ds[item].attrs['std'] = 0.1855
    # if(item == 'FED'):
    #  ds[item].attrs['mean'] = 0.0392455
    #  ds[item].attrs['std'] = 0.7207255
