import numpy as np
import netCDF4
import glob
import os, sys
import pickle

# load pixel sfc type
nc = netCDF4.Dataset("/ships19/grain/probsevere/LC/pixel_surface_type.nc")
pixel_surface_type = nc.variables["pixel_surface_type"][:]
nc.close()
assert pixel_surface_type.shape == (1500, 2500)
pixel_surface_type[pixel_surface_type > 1] = 1

all_train_targets = glob.glob(
    "/ships19/grain/probsevere/LC/bitmaps/goes16/2019/2019??[0,1]?/?fl/FED_accum*/*bmp"
)
train_patches = []
print(len(all_train_targets))
for tt in all_train_targets:

    basename = os.path.basename(tt)  # 20190604-0001_Y1088-X1344.bmp
    y = int(basename.split("Y")[1].split("-")[0])
    x = int(basename.split("-X")[1].split(".")[0])

    if x < 1728 or y < 448 or y > 960:
        continue

    if pixel_surface_type[y, x] == 0:  # then it's water
        train_patches.append(tt)

print(len(train_patches))
pickle.dump(train_patches, open("train_2019_water-only.pkl", "wb"))

print("")
all_val_targets = glob.glob(
    "/ships19/grain/probsevere/LC/bitmaps/goes16/2019/2019??[2,3]?/?fl/FED_accum*/*bmp"
)
val_patches = []
print(len(all_val_targets))
for vt in all_val_targets:

    basename = os.path.basename(vt)  # 20190604-0001_Y1088-X1344.bmp
    y = int(basename.split("Y")[1].split("-")[0])
    x = int(basename.split("-X")[1].split(".")[0])

    if x < 1728 or y < 448 or y > 960:
        continue

    if pixel_surface_type[y, x] == 0:  # then it's water
        val_patches.append(vt)
print(len(val_patches))
pickle.dump(val_patches, open("val_2019_water-only.pkl", "wb"))
