import os
import sys
import subprocess
import socket
import re


def make_dirs_if_not_exist(base_dir, list_in):
  for subject_file in list_in:
    path=os.path.join(base_dir, subject_file)
    if not os.path.exists(path):
      os.mkdir(path)

cli_args=sys.argv[1:]
print
pltg=os.path.dirname(os.path.abspath(os.path.realpath(__file__)))
pltg_data=os.getcwd()
os.environ["ONDEMAND_CSV"] = "https://docs.google.com/spreadsheets/d/e/2PACX-1vSmLF9dK0ojTr1L5ydeiay6O0WoUhjeYeAXugtII6nhj1A-OeCY03LfeDSASMoEdnI-XDOATvFMX-Lr/pub?gid=314653384&single=true&output=csv"
os.environ["DSS_DURATION_THRESH"] = "7"
os.environ["PLTG"] = pltg
os.environ["PLTG_DATA"] = pltg_data
os.environ["PS_PYTHONPATH"] = sys.executable
os.environ["SATPY_CONFIG_PATH"] = f"{pltg}/lightningcast/satpy_plotting/SATPY_CONFIG/"

if not os.path.islink(f"{pltg}/lightningcast"):
  subprocess.run(["/bin/bash", "-c", f"cd {pltg} && ln -s . lightningcast"])


#Do setup that is otherwise done in setup.sh. glmtools is setup during lightningcast install
make_dirs_if_not_exist(pltg_data, ['logs', 'products', 'lightning', 'placefiles'])

if not os.path.exists(f"{pltg}/glm_ldmsend.out"):
  print("On first run compiling c files")
  subprocess.run(["/bin/bash", "-c", f"cd {pltg}/lightningcast/ && gcc glm_ldmsend.c && mv a.out glm_ldmsend.out"])

if not os.path.exists(f"{pltg}/cp_eni.out"):
  subprocess.run(["/bin/bash", "-c", f"cd {pltg}/lightningcast/ && gcc cp_eni.c && mv a.out cp_eni.out"])

os.environ["PATH"] = f"{pltg}/lightningcast/realtime/w2algrun:{pltg}/lightningcast/realtime/amqpfind:{os.environ['PATH']}"
cli_string=" ".join(str(element) for element in cli_args)


conf_loc=f"{pltg}/lightningcast/realtime/w2algrun/w2alg.conf"
m1_val=f"{pltg}/lightningcast"
m2_val=pltg_data
machine_name=socket.gethostname()
logs_dir=f"{m2_val}/logs"

if not os.path.exists(logs_dir):
  os.makedirs(logs_dir)

with open(conf_loc, 'r+') as conf_file:
	
  file_data = str(conf_file.read())
  file_data = re.sub(r"set M1.*", f"set M1 \"{m1_val}\"", file_data)
  file_data = re.sub(r"set M2.*", f"set M2 \"{m2_val}\"", file_data)
  file_data = re.sub(r"set MACHINE.*", f"set MACHINE \"{machine_name}\"", file_data)
  file_data = re.sub(r"set LOG_DIR.*", f"set LOG_DIR \"{m2_val}/logs\"", file_data)
  file_data = re.sub(r"--lightning_meteograms", "", file_data)
  file_data = re.sub(r"-gt -gr -ph 9000 -x \$M1\/realtime\/ldm_send\.sh", "", file_data)
  file_data = re.sub(r"-ru \$M1\/realtime\/re_upload", "", file_data)

  conf_file.seek(0)
  conf_file.write(file_data)



subprocess.run(["/bin/bash", "-c", f"{pltg}/lightningcast/realtime/w2algrun/w2alg {cli_string}"])
