#!/bin/bash

export MP4_DIR=${HOME}/mpav/idl_lib_mpav/
alias make_mp4=$MP4_DIR/make_mp4_from_various_input_files2.scr
module load ffmpeg/2022.10

model=$1 #full path and filename
if [ -z "$model" ]; then
    echo "No argument supplied"
    exit
fi

modeldir=$(dirname $model)

glmpatt=/ships22/grain/probsevere/lightning/%Y/%Y%m%d/GLM/goes_east/agg/%Y%m%d-%H%M*.netcdf
mrms_patt='/ships22/grain/probsevere/radar/%Y/%Y%m%d/grib2/{ch}/MRMS_{ch}_00.50_%Y%m%d-%H%M*.grib2'
codedir=/home/jcintineo/lightningcast/lightningcast/

cd $codedir
source ../config.sh

python predict_ltg.py filelists/fl_20200824.txt $model \
   -llbb -81 -68 37 47 \
   -o $modeldir/scenes/20200824/ \
   -mi 2 \
   -gp $glmpatt #\
   #-mp $mrms_patt 


cd $modeldir/scenes/20200824/
$MP4_DIR/make_mp4_from_various_input_files2.scr "*.png" tf_20200824.mp4 4
cd $codedir

#python predict_ltg.py filelists/fl_20210422.txt $model  -llbb -114 -66 23 50 -o $modeldir/scenes/20210422/ -mi 2 -gp $glmpatt
#python predict_ltg.py filelists/water_bad.txt $model -llbb -91 -65 30 49 -o $modeldir/scenes/20200918/ -mi 2 -gp $glmpatt
#python predict_ltg.py filelists/sunrise_bad.txt $model -llbb -125 -107 32 43 -o $modeldir/scenes/20201205/ -mi 2 -gp $glmpatt
#python predict_ltg.py filelists/OKTX_bad.txt $model -llbb -106 -86 20.5 39 -o $modeldir/scenes/20201202/ -mi 2 -gp $glmpatt
