import numpy as np
import matplotlib.pyplot as plt
import pickle
import time
import sys

pf = "PLAX_-75.0_9000m_CONUS.pkl"

f = pickle.load(open(pf, "rb"))
yind = f["yind"]
xind = f["xind"]
PLAX_GOES = (np.ravel(yind), np.ravel(xind))

lat_pc = f["lat_pc"]
lon_pc = f["lon_pc"]

print(lat_pc[15, 144], lon_pc[15, 144])
print(yind[15, 144], xind[15, 144])
# sys.exit()

t0 = time.time()
plaxed_grid = np.zeros(f["yind"].shape)

y1, y2 = 1400, 1450
x1, x2 = 50, 100

orig_grid = np.copy(plaxed_grid) * 0.0
orig_grid[y1:y2, x1:x2] = 1  # fake data

plaxed_grid[PLAX_GOES] = np.ravel(orig_grid)  # --correct the obj grid for parallax
print(time.time() - t0)

fig, ax = plt.subplots(nrows=1, ncols=2, figsize=(10, 5))
ax[0].imshow(orig_grid[y1 - 20 : y2 + 20, x1 - 20 : x2 + 20])
ax[1].imshow(plaxed_grid[y1 - 20 : y2 + 20, x1 - 20 : x2 + 20])
# ax[0].imshow(orig_grid)
# ax[1].imshow(plaxed_grid)
ax[0].grid(linestyle=":")
ax[1].grid(linestyle=":")


plt.show()
